Subject: Re: [PATCH v2 2/2] connect: advertized capability is not a ref

From: Junio C Hamano <[email-masked]>
Date: Wed, 07 Sep 2016 16:02:16 -0700

Jonathan Nieder <[email-masked]> writes:

> Given that there aren't any servers that are going to produce this
> kind of bad input anyway, I prefer a die().

That would certainly put bigger pressure on the folks who write
buggy stuff in the future.  If we know that nobody produces such
output, I'd prefer to forbid it, of course.  It's just that is not
what this 2/2 implements ;-).